package com.xlht.xlhtproject.controller;


import com.alibaba.fastjson2.JSON;
import com.xlht.xlhtproject.domain.TXinyiMedicineParam;
import com.xlht.xlhtproject.mapper.TXinyiMedicineParamMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/test")
@Slf4j
public class TestController {

    @Autowired
    private TXinyiMedicineParamMapper xinyiMedicineParamMapper;

    @GetMapping("/hello")
    public String hello() {
        return "hello";
    }

    @GetMapping("/testMyBatis")
    public TXinyiMedicineParam testMyBatis() {
        TXinyiMedicineParam tXinyiMedicineParam = xinyiMedicineParamMapper.selectTXinyiMedicineParamById(1L);
        System.out.println(JSON.toJSONString(tXinyiMedicineParam));
        return tXinyiMedicineParam;
    }

}
