package com.xlht.xlhtproject.domain;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ChartBasic {


    private String time;

    private BigDecimal val;

    private BigDecimal ztTotalCo2;//总碳排放量

    private BigDecimal wschytpfqd;//污水厂行业碳排放强度


    public ChartBasic(String time, BigDecimal val) {
        this.time = time;
        this.val = val;
    }
}
